nn.pp.rccore

## Enum RCCore.VideoStatus

- java.lang.Object
- - java.lang.Enum<RCCore.VideoStatus>
  - - nn.pp.rccore.RCCore.VideoStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RCCore.VideoStatus>
  Enclosing interface:
    RCCore

      public static enum RCCore.VideoStatus
      extends java.lang.Enum<RCCore.VideoStatus>

  The status of video signal

  See Also:
    `VideoEventListener.videoStatusChanged(RCCore.VideoStatus)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO_VIDEO` No video signal
    `STABLE` Stable video signal available
    `UNKNOWN` Unknown video mode
    `UNSTABLE` Video available, but unstable

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RCCore.VideoStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RCCore.VideoStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STABLE

          public static final RCCore.VideoStatus STABLE

      Stable video signal available

    - #### UNSTABLE

          public static final RCCore.VideoStatus UNSTABLE

      Video available, but unstable

    - #### UNKNOWN

          public static final RCCore.VideoStatus UNKNOWN

      Unknown video mode

    - #### NO_VIDEO

          public static final RCCore.VideoStatus NO_VIDEO

      No video signal

  - ### Method Detail

    - #### values

          public static RCCore.VideoStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RCCore.VideoStatus c : RCCore.VideoStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RCCore.VideoStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.